GET api/NTCosCompany/GetCorporationContactCustomRequirement?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfCorporationContact_CustomRequirementDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CorporationContact_CustomRequirementDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"ContactId": 2,
"EntityId": "sample string 3",
"EntityTypeId": 4,
"Name": "sample string 5",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:31:54.8080913-07:00",
"DateUpdated": "2026-08-04T14:31:54.8080913-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
{
"Id": 1,
"ContactId": 2,
"EntityId": "sample string 3",
"EntityTypeId": 4,
"Name": "sample string 5",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:31:54.8080913-07:00",
"DateUpdated": "2026-08-04T14:31:54.8080913-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}